# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class AbstractMediaResource

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.media.mediarss.AbstractMediaResource

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  MediaContent, MediaPlayer, MediaThumbnail

    public abstract class AbstractMediaResource

extends ExtensionPoint
implements Extension

An empty tag with a url, width and height attribute.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Subclasses can overwrite this method to parse extra attributes.
`int` `getHeight()`
`java.lang.String` `getUrl()`
`int` `getWidth()`
`protected void` `putAttributes(AttributeGenerator generator)` Subclasses can overwrite this method to add extra attributes.
`void` `setHeight(int height)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(int width)`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Method Detail

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Subclasses can overwrite this method to add extra attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - used to output attributes.

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Subclasses can overwrite this method to parse extra attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `attrsHelper` -
  Throws:
    `ParseException` - any parsing exception